/* -------------------------------------------------------------

   traywidget.h - FireFlier kde tray icon

   former toplevel.h
   (C) 1998-1999 by Matthias Hoelzer-Kluepfel (hoelzer@kde.org)
   for KTeaTime



 ------------------------------------------------------------- */


#ifndef _TRAYWIDGET_H_
#define _TRAYWIDGET_H_

#include <kapp.h>
#include <qpopupmenu.h>
#include <qtimer.h>
#include <qpixmap.h>
#include <qstringlist.h>
#include <ksystemtray.h>
#include <pthread.h>

class traywidget : public KSystemTray
{
    Q_OBJECT

public:

    traywidget();
	~traywidget();
    void setPacketPending(bool b);
    void setToolTip(const QString &text);

protected:

    void paintEvent(QPaintEvent *);
    void mousePressEvent(QMouseEvent *);

private slots:

    void start();

private:
    bool pending;

    QPopupMenu *menu;
    QPixmap *UT_runningPixmap, *UT_not_runningPixmap;

    QString action;

    QString lasttip;
};

#endif

